Attribute VB_Name = "RegistryAccessFunctions"
Option Explicit
' Here are the functions to access the Registry
' using Win API calls.
'
Function ExistKey(Root As Long, key As String) As Boolean
' Check whether a key exists or not.
Dim lResult As Long
Dim keyhandle As Long
' just try to open the key...
 lResult = RegOpenKeyEx(Root, key, 0, KEY_READ, keyhandle)
' if the key exists, close it (because its just a test)
 If lResult = ERROR_SUCCESS Then RegCloseKey keyhandle
' return the value true or false
 ExistKey = (lResult = ERROR_SUCCESS)
End Function

Function GetValue(Root As Long, key As String, Field As String, Value As Variant) As Boolean
' Reads a value from a specified key
' the key is set as: Root, key and name
Dim lResult As Long
Dim keyhandle As Long
Dim dwType As Long
Dim zw As Long
Dim bufsize As Long
Dim buffer As String
Dim i, tmp

' open the key
 lResult = RegOpenKeyEx(Root, key, 0, KEY_READ, keyhandle)
 GetValue = (lResult = ERROR_SUCCESS) ' success?
 If lResult <> ERROR_SUCCESS Then Exit Function ' key doesn't exists
' get the value
 lResult = RegQueryValueEx(keyhandle, Field, 0&, dwType, _
            ByVal 0&, bufsize&)
 GetValue = (lResult = ERROR_SUCCESS) ' success?
 If lResult <> ERROR_SUCCESS Then Exit Function ' name doesn't exists
 
 Select Case dwType
  Case REG_SZ       ' zero terminated string
   buffer = Space$(bufsize& + 1)
   lResult = RegQueryValueEx(keyhandle, Field, 0&, dwType, ByVal buffer$, bufsize&)
   GetValue = (lResult = ERROR_SUCCESS)
   If lResult <> ERROR_SUCCESS Then Exit Function ' Error
    Value = buffer$
  Case REG_DWORD     ' 32-Bit Number   !!!! Word
   bufsize = 4       ' = 32 Bit
   lResult = RegQueryValueEx(keyhandle, Field$, 0&, dwType, zw, bufsize)
   GetValue = (lResult = ERROR_SUCCESS)
   If lResult <> ERROR_SUCCESS Then Exit Function ' Error
   Value = zw
   
  Case REG_BINARY     ' Binary
   buffer = Space$(bufsize + 1)
   lResult = RegQueryValueEx(keyhandle, Field$, 0&, dwType, ByVal buffer, bufsize)
   GetValue = (lResult = ERROR_SUCCESS)
   If lResult <> ERROR_SUCCESS Then Exit Function ' Error
   Value = ""
   For i = 1 To bufsize&
    tmp = Hex$(Asc(Mid(buffer, i, 1)))
    If Len(tmp) = 1 Then tmp = "0" + tmp
    Value = Value + tmp + " "
   Next i
 ' here are space for other data types
 End Select
  
  If lResult = ERROR_SUCCESS Then RegCloseKey keyhandle
  GetValue = True
End Function

Function CreateKey(Root As Long, newkey As String, Class As String) As Boolean
Dim lResult As Long
Dim keyhandle As Long
Dim Action As Long

 lResult = RegCreateKeyEx(Root, newkey, 0, Class, REG_OPTION_NON_VOLATILE, KEY_ALL_ACCESS, 0&, keyhandle, Action)
 If lResult = ERROR_SUCCESS Then
  If RegFlushKey(keyhandle) = ERROR_SUCCESS Then RegCloseKey keyhandle
 Else
  CreateKey = False
  Exit Function
 End If
 CreateKey = (Action = REG_CREATED_NEW_KEY)
End Function

Function SetValue(Root As Long, key As String, Field As String, Value As Variant) As Boolean
Dim lResult As Long
Dim keyhandle As Long
Dim s As String, l As Long
    
 lResult = RegOpenKeyEx(Root, key, 0, KEY_ALL_ACCESS, keyhandle)
 If lResult <> ERROR_SUCCESS Then
  SetValue = False
  Exit Function
 End If
 
 Select Case VarType(Value)
  Case vbInteger, vbLong
   l = CLng(Value)
   lResult = RegSetValueEx_DWord(keyhandle, Field, 0, REG_DWORD, l, 4)
  Case vbString
   s = CStr(Value)
   lResult = RegSetValueEx_String(keyhandle, Field, 0, REG_SZ, s, Len(s) + 1)    ' +1 fr die Null am Ende
        
' here are space for other data types
 End Select
 RegCloseKey keyhandle
 SetValue = (lResult = ERROR_SUCCESS)
End Function

Function DeleteKey(Root As Long, key As String) As Boolean
Dim lResult As Long
 lResult = RegDeleteKey(Root, key)
 DeleteKey = (lResult = ERROR_SUCCESS)
End Function

Function DeleteValue(Root As Long, key As String, Field As String) As Boolean
Dim lResult As Long, keyhandle As Long
    
 lResult = RegOpenKeyEx(Root, key, 0, KEY_ALL_ACCESS, keyhandle)
 If lResult <> ERROR_SUCCESS Then
  DeleteValue = False
  Exit Function
 End If
 lResult = RegDeleteValue(keyhandle, Field)
 DeleteValue = (lResult = ERROR_SUCCESS)
 RegCloseKey keyhandle
End Function
