'************************************************
' File:    FindWindow.vbs (WSH sample in VBScript) 
' Author:  Gnter Born 
'
' Launches an application using the Run-method.
' Demonstrates how to obtain a window handle, and
' how to test the WSHExtend window methods.
'
' Important: Requires the WSHExtend component
'************************************************
Option Explicit

Public Const SW_RESTORE = 9  ' ShowWindow() Command

' Set the command to be executed and the related window name.
'Const WndName = "Untitled - Notepad"     ' Window name
Const WndName = "Unbenannt - Editor"      ' German window name
Const Command = "%WinDir%\Notepad.exe"

Dim objAdr, Wsh
Dim hWnd
Dim tmp

' create the shell object
Set Wsh = WScript.CreateObject ("WScript.Shell")
Wsh.Run Command, 1        ' launch application

' create object for wsh extension
Set objAdr = WScript.CreateObject ("WSHExtend.WinExt")

objAdr.WSHWait 1000      ' Wait a little bit
hWnd = objAdr.WSHFindWindow(WndName)   ' get the window handle
If hWnd <> 0 Then        ' window found
 WScript.Echo "Window: " & WndName & vbCRLF & _
              "Handle: " & hWnd

' check whether the handle is still valid
WScript.Echo "Window handle status: " & objAdr.WSHIsWindow(hWnd)

' check whether the window is mimimized
If objAdr.WSHIsIconic(hWnd) Then
 tmp = objAdr.WSHShowWindow(hWnd, SW_Restore) ' resize
End if

' switch to foreground
 tmp = objAdr.WSHSetForegroundWindow(hWnd) 
Else
 WScript.Echo "Window " + WndName + " not found"
End if

WScript.Echo "Ready"
WScript.Quit()

' End