'************************************************
' File:    FindWindow1.vbs (WSH sample in VBScript) 
' Author:  Gnter Born 
'
' Launches an application with the Run-method.
' Demonstrates how to obtain a window handle, and
' how to let he icon in the taskbar flash. Resize
' at least the window.
'
' Important: Requires the WSHExtend component
'************************************************
Option Explicit

' ShowWindow() Commands
Public Const SW_HIDE = 0
Public Const SW_SHOWNORMAL = 1
Public Const SW_NORMAL = 1
Public Const SW_SHOWMINIMIZED = 2
Public Const SW_SHOWMAXIMIZED = 3
Public Const SW_MAXIMIZE = 3
Public Const SW_SHOWNOACTIVATE = 4
Public Const SW_SHOW = 5
Public Const SW_MINIMIZE = 6
Public Const SW_SHOWMINNOACTIVE = 7
Public Const SW_SHOWNA = 8
Public Const SW_RESTORE = 9
Public Const SW_SHOWDEFAULT = 10
Public Const SW_MAX = 10

' Set the command to be executed and the related window name.
' The calculator
'Const WndName = "Calculator"        ' Window name
'Const Command = "%WinDir%\Calc.exe" ' Command

' The Windows editor
'Const WndName = "Untitled - Notepad"  ' Window name
Const WndName = "Unbenannt - Editor"     ' Name des Fensters
Const Command = "%WinDir%\Notepad.exe"

' undocumented Windows 98 feature :-)
'Const WndName = "Hardware Info utility for Windows"  ' Window name
'Const Command = "%WinDir%\Hwinfo.exe /UI"

Dim objAdr, Wsh
Dim hWnd
Dim Flag, i, tmp

Flag = True

Set Wsh = WScript.CreateObject ("WScript.Shell")
Wsh.Run Command, 1        ' launch application

' create object for wsh extension
Set objAdr = WScript.CreateObject ("WSHExtend.WinExt")

objAdr.WSHWait 1000      ' Wait a second
hWnd = objAdr.WSHFindWindow(WndName)   ' get windows handle
If hWnd <> 0 Then            ' window found
 WScript.Echo "Window: " + WndName + vbCRLF + _
              "Handle: " + CStr(hWnd)

' switch to foreground
 tmp = objAdr.WSHSetForegroundWindow(hWnd) 
 tmp = objAdr.WSHShowWindow(hWnd, SW_Restore) 

' Flash title bar and icon in taskbar
 For i = 1 To 10
  Flag =  objAdr.WSHFlashWindow(hWnd, Flag)     
  objAdr.WSHWait 1000                         ' wait
 Next 
Else
 WScript.Echo "Window " + WndName + " not found"
End if

' Resize window and move its position
tmp = objAdr.WSHMoveWindow(hWnd, 100, 20, 150, 200)

WScript.Echo "Ready"
WScript.Quit()
' End