//************************************************
// File:     SendKeys1.js (WSH sample in JScript)   
// Author:   (c) G. Born
//
// Demonstrates the use of the WSHSendKeys method
// and the use of the Shell and AppActivate methods.
// Launches Calc and Notepad and write into the application
// windows.
// Attention: The script requires the ActiveX control
//            WSHExtend !!! 
//************************************************

// Create the WSHExt object to extend the WSH
// with the WSHShell method.

var Wsh = WScript.CreateObject("WSHExtend.WinExt");

// launch Windows calculator

var ProcID_Calc = Wsh.WSHShell ("Calc.exe",1);

// launch Windows editor

var ProcID_NotePad = Wsh.WSHShell ("Notepad.exe",1);

// set focus to the calculator window and check
// whether the activation is succesful
var status = Wsh.WSHAppActivate (ProcID_Calc); 
if (status != 0)
 { // a run-time error code occurs
    WScript.Echo ("Error: Can't activate Calc",
                  "Error number ", status);
    WScript.Quit();
 }

// just calculate something
Wsh.WSHSendKeys ("10", true);
Wsh.WSHSendKeys ("{+}", true);
Wsh.WSHSendKeys ("2", true);
Wsh.WSHSendKeys ("=", true);

// result into clipboard
Wsh.WSHSendKeys ("^{c}", true);

WScript.Echo ("Close calculator, write text into editor window.");

// set focus to the editor window and check
// whether the activation is succesful

var status = Wsh.WSHAppActivate (ProcID_NotePad); 
if (status != 0)
 { // a run-time error code occurs
    WScript.Echo ("Error: Can't activate NotePad",
                  "Error number ", status);
    WScript.Quit();
 }

// write text into the editor window
// first insert result from the clipboard
Wsh.WSHSendKeys ("Calculation Result: ", true);
Wsh.WSHSendKeys ("^{v}", true);
Wsh.WSHSendKeys ("\n\n", true);

// Now write the text 30 times
for (var i = 1; i <=30; i++)
 {
  Wsh.WSHSendKeys (i + " Hello, World\n", true);
 }

// set focus to calc and check
// whether the activation is succesful

var status = Wsh.WSHAppActivate (ProcID_Calc); 
if (status != 0)
 { // a run-time error code occurs
    WScript.Echo ("Error: Can't activate Calc",
                  "Error number ", status);
    WScript.Quit();
 }

// close calc with Alt+F4
 Wsh.WSHSendKeys ("%{F4}", true);  
 
WScript.Quit();

// End