'************************************************
' File:    Access.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Demonstrates how to access an Accesss database
' "Test1.mdb" from VBScript. We load the database,
' retrieve the table "Names", append a new record,
' show the records contained in the table and
' delete the last record entered upon user request.
'************************************************
Option Explicit

Const dbOpenTable = 1      ' Access constant

DIM objAc                  ' object variable
Dim ws, db, tb, rs

DIM Title, Text

Title = "WSH sample - by G. Born"

' create the Access object
Set objAc = WScript.CreateObject ("Access.Application")

' Load the data base Test1.mdb
objAc.OpenCurrentDatabase GetPath + "Test1.mdb"

' create a WorkSpace object
Set ws = objAc.DBEngine.Workspaces(0)

' get table "Names"
Set db = ws.Databases(0)         ' current database
Set rs = db.OpenRecordset("Names", dbOpenTable)

' append a new record
rs.MoveLast                ' last record
rs.AddNew                  ' append blank record

' ask user for name and ID which must be added into the table
rs("Name") = InputBox ("Name", Title, "Born") ' Name
rs("PersID") = InputBox ("Employee ID", Title, "123") 'ID

rs.Update                   ' update database

' show all records within the table
rs.MoveFirst                ' first record
Do                          ' all records within the table
 WScript.Echo "Record ", rs("ID").value, ": ", _
                  rs("Name").value, " -> Employee ID: ", _
                  rs("PersID").value
 rs.MoveNext                ' next record
Loop Until (rs.EOF)         ' End of File ?

' ask, whether to delete the last record
If (MsgBox("Delete last record?", _
              vbQuestion + vbYesNo, _
              Title) = vbYes) Then
  rs.MoveLast               ' last record
  rs.Delete                 ' delete
  WScript.Echo "Record deleted"
End if

objAc.CloseCurrentDataBase  ' close database
objAc.Quit                  ' close Access 
Set objAc = Nothing         ' release object variable

WScript.Quit()              ' terminate script

'##########################
Function GetPath
' Return path to the current script
 DIM path
 path = WScript.ScriptFullName  ' script file name
 GetPath = Left(path, InstrRev(path, "\"))
End Function
' End