'************************************************
' File:    Excel.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Demonstrates how to access Microsoft Excel
' from a WSH script. 
'************************************************
Option Explicit
Const vbNormal = 1         ' window styles
Const vbMinimized = 2
Const vbMaximized = 3

DIM objXL, objWb           ' Excel object variable
DIM Title, Text

Title = "WSH sample - by G. Born"

' here we create an object reference to the Excel application object
Set objXL = WScript.CreateObject ("Excel.Application")

' now try to set the Excel window properties

objXL.WindowState = vbNormal ' window style normal
objXL.Height = 200           ' height
objXL.Width = 400            ' width
objXL.Left = 100             ' X-Position
objXL.Top = 100              ' Y-Position
objXL.Visible = true         ' make window visible

' write something into the status- and titlebar
objXL.Caption = Title
objXL.Statusbar = "Date: " & Date

' Query, whether the window shall be maximized

If (MsgBox("Maximize window?", vbQuestion + vbYesNo, Title) _
            = vbYes) Then objXL.WindowState = vbMaximized

' Retrieve the Excel application properties
Text = "Excel properties" & vbCRLF & vbCRLF
Text = Text & "window height " & vbTab & objXL.Height & vbCRLF
Text = Text & "window width " & vbTab & objXL.Width & vbCRLF
Text = Text & "window title " & vbTab & objXL.Caption & vbCRLF
Text = Text & vbCRLF & "Excel terminates..."
WScript.Echo Text

objXL.Quit           ' close Excel application object
Set objXL = Nothing  ' release object variable

WScript.Quit()       ' terminate script
' End