//************************************************
// File:    Excel1.js (WSH sample in JScript) 
// Author:  Gnter Born
//
// Demonstrates how to access Microsoft Excel 
// from a WSH script 
//************************************************
var vbOKCancel = 1;       //  declare some variables
var vbYesNo = 4;
var vbYes = 6;
var vbOK = 1;
var vbInformation = 64;
var vbQuestion = 32;
var vbCancel = 2;

var vbNormal = 1;         // window styles
var vbMinimized = 2;
var vbMaximized = 3;

var Title = "WSH sample - by G. Born";

//Create Excel object
var objXL = WScript.CreateObject ("Excel.Application");

// Set window properties

objXL.WindowState = vbNormal; // Normal
objXL.Height = 200;           // Height
objXL.Width = 400;            // Width
objXL.Left = 100;             // X-Position
objXL.Top = 100;              // Y-Position
objXL.Visible = true;         // Show window


//  write something into the status- and titlebar
objXL.Caption = Title;
objXL.Statusbar = "Date: " + Date;

// create Workbooks object
var objWb = objXL.Workbooks;
objWb.Add;

// Set column width
objXL.Columns(1).ColumnWidth = 10;
objXL.Columns(2).ColumnWidth = 20;
objXL.Columns(3).ColumnWidth = 20;

// Use Excel InputBox function for user input

tmp = objXL.InputBox("Please enter a text", 
      Title, "Hello");

// Use SendKeys to write the user input into a cell.

// Important: We must send also an "Enter" key to close
// the input. Whilst Excel is in input mode, we can't
// access its objects!

objXL.SendKeys (tmp + "{Enter}",true);

// Wait, to allow Excel to get ready

WScript.Echo ("Continue?");

// Access Cells B1, B2 and B3 
objXL.Cells(1, 2).Value = "Property name";
objXL.Cells(2, 2).Value = "Value";
objXL.Cells(3, 2).Value = "Description";

// Access Cells C1 to C3 using a Range object
var objR = objXL.Range("C1:C3");
objR.Value = 100.0;

// Format cell background

objXL.Cells(1,2).Interior.ColorIndex=6;  // yellow
objXL.Cells(2,2).Interior.ColorIndex=3;  // red
objXL.Cells(3,2).Interior.ColorIndex=4;  // green

// Wait for user input
WScript.Echo ("Terminate Excel");

// Close workbook
objWb.Close; 

objXL.Quit();         // Quit Excel 

WScript.Quit();       // Terminate script
// End