'************************************************
' File:    Excel1.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Demonstrates how to access Microsoft Excel
' from a WSH script. Launch Excel, creates a
' workbook and writes data into a worksheet.
'************************************************
Option Explicit
Const vbNormal = 1         '  window styles
Const vbMinimized = 2
Const vbMaximized = 3

DIM objXL, objWb, objR     ' Excel object variables
DIM Title, Text, tmp, tmp1, i

Title = "WSH sample - by G. Born"

' here we create an object reference to 
' the Excel application object
Set objXL = WScript.CreateObject ("Excel.Application")

' now try to set the Excel window properties

objXL.WindowState = vbNormal ' Normal
objXL.Height = 200           ' height
objXL.Width = 400            ' width
objXL.Left = 10              ' X-Position
objXL.Top = 20               ' Y-Position
objXL.Visible = true         ' show window

' write something into the status- and title bar
objXL.Caption = Title
objXL.Statusbar = "Date: " & Date

' create a Workbooks object
Set objWb = objXl.Workbooks
objWb.Add                    ' add it

' Set column width
objXL.Columns(1).ColumnWidth = 10
objXL.Columns(2).ColumnWidth = 20
objXL.Columns(3).ColumnWidth = 20

' Now we are using the Excel InputBox function,
' to query a user input. Use CStr() to write
' "false" into tmp, if the Cancel button is clicked.
' Otherwise we get a run-time error within the
' SendKeys call.

tmp = CStr(objXL.InputBox("Please enter a text", _
      Title, "Hello"))

' Now we use SendKeys to insert the user input into
' a cell of the worksheet. This is just to demonstrate
' the SendKeys function, because the normal way is to
' access the cells directly over the object model.

' Important: If you write something into a cell using
' SendKeys, Excel enters the "Input" mode. Therefore
' the cell entry must be closed with a "Enter" key.
' Otherwise you can't access objects from the WSH script!

objXL.SendKeys tmp + "{Enter}",true

' Now we must wait, because Excel isn't ready
' to process the following commands!
' We show a dialog box to cause a delay.

WScript.Echo "Continue?"

' Now we access the cells B1, B2 and B3. Here we use
' the appropriate way to set/read cell values.
objXL.Cells(1, 2).Value = "Property name"
objXL.Cells(2, 2).Value = "Value"
objXL.Cells(3, 2).Value = "Description"

' Access the cells C1 to C3. We use here a Range object.
Set objR = objXL.Range("C1:C3")   ' create Range
objR.Value = 100.0                ' assign value

' Demonstrate how to format cell background

objXL.Cells(1,2).Interior.ColorIndex=6  ' yellow
objXL.Cells(2,2).Interior.ColorIndex=3  ' red
objXL.Cells(3,2).Interior.ColorIndex=4  ' green

' Wait for user input
WScript.Echo "Terminate Excel."

' Close table
objWb.Close 
objXl.Quit()                ' Quit Excel
Set objXL = Nothing

WScript.Quit()
' End