'************************************************
' File:    Excel2.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Launches Excel, creates a workbook and writes 
' some system data into a worksheet. Then a
' Save As dialog is shown, before the script
' terminates.
'************************************************
Option Explicit
Const vbNormal = 1         ' window style

DIM objXL, objWb, objR     ' Excel object variables
DIM Title, Text, tmp, i, j
Dim Wsh, objEnv

' create the Shell object

 Set Wsh = WScript.CreateObject ("WScript.Shell")

' get the a collection using the Environment property

 Set objEnv = Wsh.Environment("Process")

Title = "WSH sample - by G. Born"

' create Excel object
Set objXL = WScript.CreateObject ("Excel.Application")

' Set application window properties

objXL.WindowState = vbNormal ' Normal
objXL.Height = 300           ' Height
objXL.Width = 400            ' Width
objXL.Left = 40              ' X-Position
objXL.Top = 20               ' Y-Position
objXL.Visible = true         ' Show window

' Write caption into the titlebar
objXL.Caption = "WSH- and System data"

' Create a Workbooks object
Set objWb = objXl.Workbooks
objWb.Add

' Set column width
objXL.Columns(1).ColumnWidth = 20
objXL.Columns(2).ColumnWidth = 20
objXL.Columns(3).ColumnWidth = 20

' Write a title text into Cell B1
objXL.Cells(1, 2).Value = "WSH- and System data"
objXL.Cells(1, 2).Interior.ColorIndex=4    ' green

' Insert the data of the Script-Engine into cells
objXL.Cells(3, 1).Value = "Script-Engine:"
objXL.Cells(3, 1).Font.Bold=true    ' bold
objXL.Cells(3, 2).Value = CStr(ScriptEngine())

objXL.Cells(4, 1).Value = "Version:"
objXL.Cells(4, 2).Value = "'" + CStr(ScriptEngineMajorVersion()) + _
                      "." + CStr(ScriptEngineMinorVersion())

objXL.Cells(5, 1).Value = "Build:"
objXL.Cells(5, 2).Value =  "'" + CStr(ScriptEngineBuildVersion())

objXL.Cells(7, 1).Value = "Host-Name:"
objXL.Cells(7, 1).Font.Bold=true    ' bold
objXL.Cells(7, 2).Value =  "'" + WScript.Name

objXL.Cells(8, 1).Value = "Version:"
objXL.Cells(8, 2).Value =  "'" + CStr(WScript.Version)

objXL.Cells(9, 1).Value = "Path:"
objXL.Cells(9, 2).Value =  "'" + CStr(WScript.Path)

objXL.Cells(10, 1).Value = "Interactive:"
objXL.Cells(10, 2).Value =  "'" + CStr(WScript.Interactive)

' Retrieve the environment variables

objXL.Cells(12, 1).Value = "Environment variables"
objXL.Cells(12, 1).Font.Bold=true    ' true

j = 0
For Each i In objEnv
 objXL.Cells(13+j, 1).Value = CStr(i) ' write variable into cell
 j = j + 1
Next

' show "Ready" message within status bar
objXL.Statusbar = "Ready"

' Wait for user input
If (MsgBox ("Save workbook?", vbYesNo + vbQuestion, _
    Title) = vbYes) Then 
 On Error Resume Next          ' catch Cancel button error
 objXL.Save                    ' save workbook 
 If err<>0 Then WScript.Quit() ' terminate script
End if

objWb.Close                    ' close workbook
objXl.Quit()                   ' Quit Excel
Set objXL = Nothing

WScript.Quit()
' End