'************************************************
' File:     ExcelCSV.vbs (WSH sample in VBScript) 
' Author:   (c) Gnter Born
'
' Launch Excel, load a worksheet (CSV file),
' select the current worksheet, read some
' values back into the script, print the CSV content
' and terminate.
'************************************************
Option Explicit
Const vbNormal = 1         ' window style

DIM objXL, objWb, objR     ' Excel object variables
DIM Title, Text, file, name

Title = "WSH sample - by G. Born"

' here you may set the name of the file to be imported 
file = "Test.csv"    ' must be located in the script's folder

' here you may change the name of the worksheet, you like
' to access. I have inserted the name "Test", because the
' file above was a CSV-File, in this case Excel uses the
' file name also to name the worksheet, where the CSV values 
' are imported. 
name = "Test"        ' set the Worksheet-name used for import

' create an Excel object reference
Set objXL = WScript.CreateObject ("Excel.Application")

' set the Excel window properties (not absolutely necessary)
objXL.WindowState = vbNormal ' Normal
objXL.Height = 300           ' height
objXL.Width = 400            ' width
objXL.Left = 40              ' X-Position
objXL.Top = 20               ' Y-Position
objXL.Visible = true         ' show window

' Load the Excel file from the script's folder
Set objWb = objXl.WorkBooks.Open(GetPath+file)

' Get the loaded worksheet object
Set objWb = objXL.ActiveWorkBook.WorkSheets("Test")
objWb.Activate               ' not absolutely necessary (for CSV)

WScript.Echo "We have loaded the worksheet"

' demonstrate how to read the column header values
Text = "Worksheet " + objWb.name + vbCRLF
Text = Text + "Column titles" + vbCRLF
Text = Text + CStr(objWb.Cells(1, 1).Value) + vbTab
Text = Text + CStr(objWb.Cells(1, 2).Value) + vbCRLF

' show some cell values (using the "hard coded method")
Text = Text + CStr(objWb.Cells(2, 1).Value) + vbTab
Text = Text + CStr(objWb.Cells(2, 2).Value) + vbCRLF
Text = Text + CStr(objWb.Cells(3, 1).Value) + vbTab
Text = Text + CStr(objWb.Cells(3, 2).Value) + vbCRLF
Text = Text + CStr(objWb.Cells(4, 1).Value) + vbTab
Text = Text + CStr(objWb.Cells(4, 2).Value) + vbCRLF

' Show results
MsgBox Text, vbOkOnly+ vbInformation, Title

If (MsgBox ("Print?", vbYesNo + vbQuestion, title) = vbYes ) Then
 objXl.ActiveSheet.PrintOut    ' print Worksheet
 WScript.Echo "We are printing, close after printing"
End if

objXl.Quit()                 ' Quit Excel 
Set objXL = Nothing

WScript.Quit()

'##########################
Function GetPath
' Retrieve the script path
 DIM path
 path = WScript.ScriptFullName  ' Script name
 GetPath = Left(path, InstrRev(path, "\"))
End Function
' End