'************************************************
' File:    Outlook.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' This script creates a new e-mail entry in Outlook.
'************************************************
Option Explicit

Const olMailItem = 0           ' Constants for new items
Const olAppointmentItem = 1
Const olContactItem = 2
Const olTaskItem = 3
Const olJournalItem = 4
Const olNoteItem = 5
Const olPostItem = 6

Dim objOutl, objNameSpace, objMailItem
Dim recipient, message, subject

' define the items for the e-mail
recipient = "user_name@domain.com"
subject = "Subject: Outlook example"
message = "The text of your message"

' Create Outlook object reference
Set objOutl = WScript.CreateObject("Outlook.Application")

' obtain an object reference to "Mapi" name space
Set objNameSpace = objOutl.GetNameSpace("MAPI")

' create a new mail item object
Set objMailItem = objOutl.CreateItem(olMailItem)

' set the mail object properties          
objMailItem.Recipients.Add recipient                ' E-mail address
objMailItem.Recipients.Add "BGates@Microsoft.com"   ' 2nd recipient

objMailItem.Subject = subject                       ' subject 
objMailItem.Body = message                          ' the body text

' now we are ready to "logon" to outlook (using Logon method) 
objNameSpace.Logon "profile", "password"
objMailItem.Send                                    ' send method
objNameSpace.Logoff                                 ' logoff

WScript.Echo "E-mail created for " & recipient      ' Post ready message

WScript.Quit()
' End