'************************************************
' File:     Word.vbs (WSH sample in VBScript) 
' Author:   Gnter Born
'
' Launch Word, set a few properties and show
' Word application properties in a dialog box.
'************************************************
Option Explicit
Const vbNormal = 0         ' window styles
Const vbMaximized = 1
Const vbMinimized = 2

DIM objWrd, objWb          ' Word object variable
DIM Title, Text

Title = "WSH sample - by G. Born"

' create Word object
Set objWrd = WScript.CreateObject ("Word.Application")

' set the Word window properties

objWrd.WindowState = vbNormal ' Normal
objWrd.Height = 200           ' Height
objWrd.Width = 400            ' Width
objWrd.Left = 100             ' X-Position
objWrd.Top = 100              ' Y-Position
objWrd.Visible = true         ' show window

' try to write something into the title- and statusbar
objWrd.Caption = Title
objWrd.Statusbar = "Date: " & Date

' ask, whether the window shall be maximized/minimized

If (MsgBox("Maximize window", _
              vbQuestion + vbYesNo, _
              Title) = vbYes) Then
  objWrd.WindowState = vbMaximized
Else
If (MsgBox("Minimize window", _
              vbQuestion + vbYesNo, _
              Title) = vbYes) Then _
  objWrd.WindowState = vbMinimized
End If

' Query Word properties

Text = "Word properties" & vbCRLF & vbCRLF
Text = Text & "window height " & vbTab & objWrd.Height & vbCRLF
Text = Text & "window width " & vbTab & objWrd.Width & vbCRLF
Text = Text & "window title " & vbTab & objWrd.Caption & vbCRLF
Text = Text & vbCRLF & "Word terminates..."
WScript.Echo Text

objWrd.Quit           ' quit Word
Set objWrd = Nothing  ' release object variable 

WScript.Quit()       ' terminate script
' End