//************************************************
// File:    Word1.js (WSH sample in JScript) 
// Author:  Gnter Born
//
// Launch Word, create a new document and write 
// some properties into the new document. Ask the
// user whether to print the document.
//***********************************************

var vbOKCancel = 1;       // declare variables
var vbYesNo = 4;
var vbYes = 6;
var vbOK = 1;
var vbInformation = 64;
var vbQuestion = 32;
var vbCancel = 2;

var vbNormal = 0;         // window styles
var vbMinimized = 2;
var vbMaximized = 1;

var vbTab = String.fromCharCode(9);
var vbCRLF = "\n"; 

var Title = "WSH sample  - by G. Born";

// create Word object
var objWrd = WScript.CreateObject ("Word.Application");

// set the Word window properties

objWrd.WindowState = vbNormal; // Normal
objWrd.Height = 400;           // Height
objWrd.Width = 500;            // Width
objWrd.Left = 20;              // X-Position
objWrd.Top = 20;               // Y-Position
objWrd.Visible = true;         // show window

// Set caption in titlebar
objWrd.Caption = Title;

// create a new document-object
var objDoc = objWrd.Documents;
objDoc.Add ("Normal.dot");    // select template

// Fetch current document
 var doc = objWrd.ActiveDocument;

// Set Range object to text begin

 var txt = doc.Range(0,0);

// Now we are ready to insert text into the document window

 txt.InsertAfter ("Word properties" + vbCRLF);
 txt.InsertAfter ("Window height " + vbTab + objWrd.Height + vbCRLF);
 txt.InsertAfter ("Window width " + vbTab + objWrd.Width + vbCRLF);
 txt.InsertAfter (vbCRLF);

 txt.InsertAfter ("Application" + vbTab + objWrd.Application + vbCRLF);
 txt.InsertAfter ("Version" + vbTab + objWrd.Version + vbCRLF);
 txt.InsertAfter ("Path" + vbTab + objWrd.Name + vbCRLF);
 txt.InsertAfter ("Document" + vbTab + objWrd.ActiveDocument + vbCRLF);
 txt.InsertAfter ("Template" + vbTab + doc.AttachedTemplate + vbCRLF);

 var sys = objWrd.System;
 txt.InsertAfter (vbCRLF);
 txt.InsertAfter ("Processor" + vbTab + sys.Processortype + vbCRLF);
 txt.InsertAfter ("Co-processor" + vbTab + sys.MathCoProcessorInstalled + vbCRLF);
 txt.InsertAfter ("Printer" + vbTab + objWrd.ActivePrinter + vbCRLF);

// Set Range object to the 1st paragraph and format the title line in bold

 var txt = doc.Paragraphs(1).Range;
 txt.Bold = true;                     // bold

objWrd.Statusbar = "Ready";           // in statusbar

// ask to print the document
var wsh = WScript.CreateObject ("WScript.Shell")
if (wsh.Popup("Print the document?", 0, Title,
              vbQuestion + vbYesNo) == vbYes)
{
   objWrd.PrintOut();
   WScript.Echo ("Ready with printing?");
}

objWrd.Quit();           // quit Word

WScript.Quit();          // terminate script
// End