'************************************************
' File:     Word1.vbs (WSH sample in VBScript) 
' Author:   Gnter Born
'
' Launch Word, creates a new document and writes
' some text into the document window.
'************************************************
Option Explicit
Const vbNormal = 0               ' window styles
Const vbMaximized = 1
Const vbMinimized = 2

DIM objWrd, objDoc, txt, doc     ' Word object variable
DIM sys
DIM Title, Text

Title = "WSH sample - by G. Born"

' create Word object
Set objWrd = WScript.CreateObject ("Word.Application")

' set the Word window properties
objWrd.WindowState = vbNormal ' Normal
objWrd.Height = 400           ' Height
objWrd.Width = 500            ' Width
objWrd.Left = 20              ' X-Position
objWrd.Top = 20               ' Y-Position
objWrd.Visible = true         ' show window

' Set caption in titlebar
objWrd.Caption = Title

' create a new document-object
Set objDoc = objWrd.Documents
objDoc.Add ("Normal.dot")      ' apply template

' Fetch current document
 Set doc = objWrd.ActiveDocument

' define a Range object selecting the document begin

 Set txt = doc.Range(0,0)

' Now we are ready to insert text into the document window

 txt.InsertAfter ("Word properties" & vbCRLF)
 txt.InsertAfter ("Window height " & vbTab & objWrd.Height & vbCRLF)
 txt.InsertAfter ("Window width " & vbTab & objWrd.Width & vbCRLF)
 txt.InsertAfter (vbCRLF)

 txt.InsertAfter ("Application" & vbTab & objWrd.Application & vbCRLF)
 txt.InsertAfter ("Version" & vbTab & objWrd.Version & vbCRLF)
 txt.InsertAfter ("Path" & vbTab & objWrd.Name & vbCRLF)
 txt.InsertAfter ("Document" & vbTab & objWrd.ActiveDocument & vbCRLF)
 txt.InsertAfter ("Template" & vbTab & doc.AttachedTemplate & vbCRLF)

 Set sys = objWrd.System
 txt.InsertAfter (vbCRLF)
 txt.InsertAfter ("Processor" & vbTab & sys.Processortype & vbCRLF)
 txt.InsertAfter ("Co-processor" & vbTab & sys.MathCoProcessorInstalled & vbCRLF)
 txt.InsertAfter ("Printer" & vbTab & objWrd.ActivePrinter & vbCRLF)

' Set Range object to the 1st paragraph and format the title line in bold

 Set txt = doc.Paragraphs(1).Range
 txt.Bold = true                     ' bold

objWrd.Statusbar = "Ready"           ' in statusbar

If (MsgBox("Print the document?", _
              vbQuestion + vbYesNo, _
              Title) = vbYes) Then
   objWrd.PrintOut
   WScript.Echo "Ready with printing?"
End if

objWrd.Quit           ' quit Word
Set objWrd = Nothing  ' reset object variable

WScript.Quit()       ' terminate script
' End