'************************************************
' File:   ADOMachines.vbs (WSH-Beispiel in VBScript) 
' Autor:  Gnter Born
'
' Demonstrates how to use ActiveX Data Objects (ADO)
' to read a CSV file using ODBC drivers.
' Requires that the System DSN "MyNames" is defined 
' in the Control Panel (Entry ODBC Data Sources).
' The CSV-file must be located in the script's
' subfolder \Data.
'************************************************
Option Explicit
Const adCmdTable = &H0002

Dim dsn, file
Dim rs, con
Dim Title, txt

dsn = "MyNames"
file = GetPath() + "Data\Machines.csv"

Title = "WSH ADO sample - by Gnter Born"
txt = "Connection to: " & file & "   ===>  " & _
      "ODBC connection data:" & vbCRLF

' create a connection object
Set con = WScript.CreateObject("ADODB.Connection")
con.Open dsn         ' DSN -> defined in ControlPanel

txt = txt & con & vbCRLF & vbCRLF   ' connection data
txt = txt & "Data entries" & vbCRLF

' now retrieve Recordset-object to the data
Set rs = WScript.CreateObject("ADODB.Recordset")
rs.Open file, Con, , , adCmdTable

' Now we can read the data
Do While Not rs.EOF    ' all entries
 txt = txt & rs("Name") & vbTab & rs("IP") & vbCRLF
 rs.MoveNext           ' next record
Loop 

MsgBox txt, vbOkonly , Title
con.Close
WScript.Quit()

'#### Hlper ####
Function GetPath
' Retrieve path to the script file
 DIM path
 path = WScript.ScriptFullName  ' script file name
 GetPath = Left(path, InstrRev(path, "\"))
End Function      
' End