//************************************************
// File:    ADOReadCSV.js (WSH sample in JScript) 
// Author:  Gnter Born
//
// Demonstrates how to use ActiveX Data Objects (ADO)
// to access a CSV file using ODBC drivers.
// Requires that the System DSN "MyData" is defined 
// in the Control Panel (Entry ODBC Data Sources).
// The CSV-file must be located in the script's
// subfolder \Data.
//************************************************
var adCmdTable = 0x0002;
var adCmdTableDirect = 0x0200;
var adOpenKeyset = 1;
var adLockOptimistic = 3;

var dsn = "MyData";       // define the system dsn
var file = GetPath() + "Data\\Employee.csv" // the file name

var txt = "Connection to: " + file + "   ===>  " + 
      "ODBC connection data: \n";

// create a connection object
var conn = WScript.CreateObject("ADODB.Connection");
conn.Open (dsn);         // DSN -> defined in ControlPanel

txt = txt + conn + "\n\n";      // connection data
txt = txt + "Data entries \n";

// now retrieve Recordset-object to the data
var rs = WScript.CreateObject("ADODB.Recordset");

rs.Open (file, conn, adOpenKeyset, adLockOptimistic, adCmdTableDirect);

// Now we can read the data

while (!rs.EOF)    // all entries
{
 txt = txt + rs("Name:STRING") + "\t" + rs("ID:String") + "\n";
 rs.MoveNext();          // next record
}

WScript.Echo (txt);
conn.Close ();
WScript.Quit();

//#### helper ####
function GetPath ()
// Retrieve the script path
{
 var path = WScript.ScriptFullName;  // script name
 path = path.substr(0,path.lastIndexOf("\\")+1);
 return path;
}
//* End