'************************************************
' File:    ADOReadCSV.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Demonstrates how to use ActiveX Data Objects (ADO)
' to access a CSV file using ODBC drivers.
' Requires that the System DSN "MyData" is defined 
' in the Control Panel (Entry ODBC Data Sources).
' The CSV-file must be located in the script's
' subfolder \Data.
'************************************************
Option Explicit
Const adCmdTable = &H0002
Const adCmdTableDirect = &H0200

Dim dsn, file
Dim rs, conn
Dim Title, txt

dsn = "MyData"
file = GetPath() + "Data\Employee.csv"

Title = "WSH ADO sample - by Gnter Born"
txt = "Connection to: " & file & "   ===>  " & _
      "ODBC connection data:" & vbCRLF

' create a connection object
Set conn = WScript.CreateObject("ADODB.Connection")
conn.Open dsn         ' DSN -> defined in ControlPanel

txt = txt & Conn & vbCRLF & vbCRLF   ' connection data
txt = txt & "Data entries" & vbCRLF

' now retrieve Recordset-object to the data
Set rs = WScript.CreateObject("ADODB.Recordset")

rs.Open file, conn, , , adCmdTableDirect

' Now we can read the data
Do While Not rs.EOF    ' all entries
 txt = txt & rs("Name:STRING") & vbTab & rs("ID:String") & vbCRLF
 rs.MoveNext           ' next record
Loop 

MsgBox txt, vbOkonly , Title
conn.Close             ' close connection  
WScript.Quit           ' terminate script

'#### Helper ####
Function GetPath
' Retrieve path to the script file
 DIM path
 path = WScript.ScriptFullName  ' script file name
 GetPath = Left(path, InstrRev(path, "\"))
End Function      
' End