//************************************************
// File:    ADOReadTxt.js (WSH-sample in JScript) 
// Author:  Gnter Born
//
// Demonstrates how to use ActiveX Data Objects (ADO)
// to access a TXT file using ODBC drivers.
//
// Requires that the System DSN "MyText" is defined 
// in the Control Panel (Entry ODBC Data Sources). 
//
// Text file structure:
// Name: .\Data\Text.txt  (subfolder Data)
//
// Name, No      // Fields
// Born, 123     // Data Entries
//************************************************
var adCmdTable = 0x0002;
var adOpenStatic = 0;
var adLockReadOnly = 1;

var dsn = "MyText";
var file = GetPath() + "Data\\Text.txt";

var txt = "Connection to: " + file + "\n";
txt = txt + "Data entries\n";

// create a Recordset object without a connection object
var rs = WScript.CreateObject("ADODB.Recordset");
rs.Open (file, dsn, adOpenStatic, adLockReadOnly, adCmdTable);

txt = txt + "Name\t" + "No\n";

// Now we can read the data
while (!rs.EOF)    // all entries
{
 txt = txt + rs("Name") + "\t" + rs("No") + "\n";
 rs.MoveNext();          // next record
}

WScript.Echo (txt);
rs.Close ();
WScript.Quit();

//#### Helper ####
function GetPath ()
// Retrieve the script path
{
 var path = WScript.ScriptFullName;  // script name
 path = path.substr(0,path.lastIndexOf("\\")+1);
 return path;
}
//* End