'************************************************
' File:    ADOReadTxt.vbs (WSH-sample in VBScript) 
' Author:  Gnter Born
'
' Demonstrates how to use ActiveX Data Objects (ADO)
' to access a TXT file using ODBC drivers.
'
' Requires that the System DSN "MyText" is defined 
' in the Control Panel (Entry ODBC Data Sources). 
'
' Text file structure:
' Name: .\Data\Text.txt  (subfolder Data)
'
' Name, No      ' Fields
' Born, 123     ' Data Entries
'************************************************
Option Explicit
Const adCmdTable = &H0002

Dim dsn, file
Dim rs, con
Dim Title, txt

dsn = "MyText"
file = GetPath() + "Data\Text.txt"

Title = "WSH ADO sample - by Gnter Born"
txt = "Connection to: " & file & "   ===>  " & _
      "ODBC connection data:" & vbCRLF

' create a connection object
Set con = WScript.CreateObject("ADODB.Connection")
con.Open dsn         ' DSN -> defined in ControlPanel

txt = txt & con & vbCRLF & vbCRLF   ' connection data
txt = txt & "Data entries" & vbCRLF

' now retrieve Recordset-object to the data
Set rs = WScript.CreateObject("ADODB.Recordset")
rs.Open file, Con, , , adCmdTable

txt = txt & "Name" & vbTab & "No" & vbCRLF

' Now we can read the data
Do While Not rs.EOF    ' all entries
 txt = txt & rs("Name") & vbTab & rs("No") & vbCRLF
 rs.MoveNext           ' next record
Loop 

MsgBox txt, vbOkonly , Title
con.Close
WScript.Quit()

'#### Helper ####
Function GetPath
' Retrieve path to the script file
 DIM path
 path = WScript.ScriptFullName  ' script file name
 GetPath = Left(path, InstrRev(path, "\"))
End Function      
' End