'************************************************
' File:   ADSIVersion.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Retrieves the ADSI version of a given machine.
' Important: Requires ADsVersion.dll
'************************************************
Option Explicit

Const Title = "ADSI-Version Information" 

Dim tmp, txt, oVers, computer, message

' Insert the name of a local computer station here
computer = "Rom"             ' init computer name
' init variables
Message = "Please add a computer name " & vbCRLF & _
          "(like Wien) or click Cancel" & vbCRLF & _
          "to connect to computer " & computer

' Connect to ADsVersion in ADsVersion.dll
Set oVers = CreateObject("ADsVersion")

' Ask user for computer name
tmp = inputbox (Message, Title ,computer)

If tmp <> "" Then computer = tmp   ' obtain new name

' connect to the computer
oVers.Connect computer

' create the output string
txt = "Connected to " & computer & vbCRLF

' with version number
txt = txt & "ADSI Version : " & oVers.GetVersion & vbCRLF & _
      "Major Version: " & oVers.GetMajorVersion & vbCRLF & _
      "Minor Version: " & oVers.GetMinorVersion & vbCRLF & _
      "Locale:        " & oVers.GetLocale 

MsgBox txt, vbOkonly + vbInformation, Title
WScript.Quit
'*** End