'************************************************
' File:   ComputerProperties.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' ADSI sample, retrieves the properties of a given
' computer.
'************************************************

Option Explicit

Const Title = "ADSI Computer Properties"

Dim oComp
Dim txt, tmp, Message, domain

' init variables
domain = "//Born/Rom"        ' domain and computer name
Message = "Please add a computer name " & vbCRLF & _
          "(like //Born/Wien) or click Cancel" & vbCRLF & _
          "to connect to " & domain

' Ask user for computer name, if the input dialog is
' closed using Cancel, the default domain is used
tmp = inputbox (Message, Title , domain)
If tmp <> "" Then 
 If Left (tmp,2) <> "//" Then
     domain = "//" + tmp   ' add // to user input
 Else
  domain = tmp
 End if
End if
 
' Bind to a specific user object.
Set OComp = GetObject("WinNT:" & domain & ",Computer")

txt = "Properties of Computer: " & domain & vbCRLF
' Get properties
txt = txt & "Owner: " & oComp.Get("Owner") & vbCRLF
txt = txt & "Division: " & oComp.Get("Division") & vbCRLF
txt = txt & "Operating System: " & _
            oComp.Get("OperatingSystem") & vbCRLF
txt = txt & "Operating System Version: " & _
       oComp.Get("OperatingSystemVersion") & vbCRLF
txt = txt & "Processor: " & oComp.Get("Processor") & vbCRLF
txt = txt & "Processor Count: " & oComp.Get("ProcessorCount")

MsgBox txt, vbOKOnly + vbInformation, Title

WScript.Quit
'*** End