'************************************************
' File:    CountEntries.vbs (WSH sample in VBScript) 
' Author:  G. Born
'
' Demonstrates how to get the number of users and groups. 
' Requires ADSI installed.
'************************************************
Option Explicit

Const Title = "Count users and groups"

Dim oDomain, item, domain
Dim txt
Dim NoUsers, NoGroups

domain = "//Rom"             ' set domain or computer name

domain = GetDomain(domain)   ' ask User for domain name

' bind to ADs and connect to the domain
Set oDomain = GetObject("WinNT:" & domain)

' try to use the count argument
On Error Resume next          ' Disable runtime handling
WScript.Echo oDomain.Count
If err <> 0 Then    ' Count not implemented yet
 MsgBox "obj.Count still not implemented" & vbCRLF & _
        err.number & vbCRLF & err.description, _
        vbOkOnly + vbCritical, "Error"
 On Error GoTo 0        ' Enable runtime handling
End if

' Apply a filter to class "group"
oDomain.Filter = array ("group", "user")

' Count all entries
NoGroups = 0
NoUsers = 0
For Each item in oDomain   ' Enumerate all items
 If UCase(item.Class) = "GROUP" Then NoGroups = NoGroups + 1
 If UCase(item.Class) = "USER" Then NoUsers = NoUsers + 1
Next

' show results
MsgBox "Groups found: " & NoGroups & vbCRLF & _
       "Users found: " & NoUsers, _
       vbOkOnly + vbInformation, Title          

WScript.Quit                 ' ready, quit script

' ### Helper
Function GetDomain (name)
Dim tmp, Message

' init variables
Message = "Please add a domain name " & vbCRLF & _
          "(like //Wien) or click Cancel" & vbCRLF & _
          "to connect to " & name

' Ask user for domain name, if the input dialog is
' closed using Cancel, the default domain is used
tmp = inputbox (Message, Title , domain)
If tmp <> "" Then 
 If Left (tmp,2) <> "//" Then
     GetDomain = "//" + tmp   ' add // to user input
 Else
  GetDomain = name
 End if
End if

End Function
'*** End