'************************************************
' File:    GetUserProperties.vbs (WSH sample in VBScript) 
' Author:  Gnter Born
'
' Uses ADSI to read user properties in Windows NT/2000.
'************************************************
Option Explicit

Const UF_PASSWORD_CANT_CHANGE = &H40
Const UF_DONT_EXPIRE_PASSWD = &H10000

Const title = "User properties"

DIM oDomain, oUser
DIM user, domain, UserFlags
DIM txt 
Dim Message

domain = "//Rom"
user = "Bill"

Message = "Please enter a user name " & vbCRLF & _
          "(like Bill) or click Cancel" & vbCRLF & _
          "to connect to " & domain & "/" & user

' retrieve user name
user = GetUser (user, Message, title)

' Bind to a user in a domain, using current account
Set oUser = GetObject("WinNT:" & domain & "/" & user)

' Init text
txt = "Domain: " & domain & vbCRLF

' read properties
txt = txt & "User Name: " & oUser.Name & vbCRLF
txt = txt & "Full Name: " & oUser.FullName & vbCRLF
txt = txt & "Description: " & oUser.Description & vbCRLF & vbCRLF

If oUser.PasswordExpired = 0 Then _
 txt = txt & "Must change Password: No" & vbCRLF
If oUser.PasswordExpired = 1 Then _
 txt = txt & "Must change Password: Yes" & vbCRLF

' Get user flags use:
' uFlags = oUser.Get("UserFlags") or the short form
UserFlags = oUser.UserFlags
' now decode user flags
If UserFlags AND UF_PASSWORD_CANT_CHANGE Then
 txt = txt & "Password can't change: true" & vbCRLF
Else
 txt = txt & "Password can't change: false" & vbCRLF
End if

If UserFlags AND UF_DONT_EXPIRE_PASSWD Then
 txt = txt & "Password never expires: true" & vbCRLF
Else
 txt = txt & "Password never expires: false" & vbCRLF
End if

txt = txt & "Account is Disabled: " & oUser.AccountDisabled & vbCRLF

txt = txt & "Is Account Locked: " _
              & oUser.IsAccountLocked & vbCRLF

txt = txt & "Home Directory:" & oUser.HomeDirectory & vbCRLF
txt = txt & "Home Dir Drive:" & oUser.HomeDirDrive & vbCRLF
txt = txt & "Login Script:" & oUser.LoginScript & vbCRLF

MsgBox txt, vbOKOnly + vbInformation, Title
WScript.Quit

' ### Helper
Function GetUser (Value, Message, Title)
Dim tmp
' Ask user for domain name, if the input dialog is
' closed using Cancel, the default domain is used
 tmp = inputbox (Message, Title , Value)
 If tmp = "" Then 
   GetUser = Value
 Else
   GetUser = tmp
 End if
End Function
' End