'************************************************
' File:    ListADSIItems.vbs (WSH sample in VBScript) 
' Author:  G. Born
'
' Lists the ADs items found on a machine or in 
' a domain. Requires ADSI installed.
'************************************************
Option Explicit

Const title = "Retrieve ADs item list"

Dim objDomain, item, domain
Dim txt, tmp

domain = "//Rom"          ' set domain or computer name

txt = "<H2>Items found on: " & domain & "<H2>"
txt = txt & "<Table>" & _
            "<TR><TD><B>Class</B></TD>" & _
            "<TD><B>Item</B></TD></TR>"

' bind to ADs and connect to the domain
Set objDomain = GetObject("WinNT:" & domain)

' The objDomain object variable contains all data retrieved
' from the ADs database for this object. 
For Each item in objDomain   ' Enumerate all items
  txt = txt & "<TR><TD>" & item.Class & _
        "</TD><TD>" & item.Name & "</TD></TR>"
Next

txt = txt & "</Table>"
ShowMSIE txt, title          ' show item list in browser window

WScript.Quit                 ' ready, quit script

'### Helper ###
Sub ShowMSIE (txt, title)
 Dim oIE, oDoc
' create Internet Browser application object
 Set oIE = WScript.CreateObject("InternetExplorer.Application")
' set browser window properties
 oIE.left=20                    ' window position
 oIE.top = 50                   ' and other properties
 oIE.height = 280
 oIE.width = 580
 oIE.menubar = 0                ' no menu
 oIE.toolbar = 0
 oIE.statusbar = 0
 oIE.navigate ("about:blank")   ' create an empty HTML document 
 oIE.visible = 1                ' keep MSIE visible
 
 While(oIE.Busy): Wend          ' Important: Wait till MSIE ready
 
 Set oDoc = oIE.Document        ' get document object
 oDoc.open                      ' open document
                                ' write script into the document object
 oDoc.writeln ("<HTML><HEAD><TITLE>" & title & "</TITLE></HEAD>")
 oDoc.writeln ("<BODY>" & Txt & "</BODY></HTML>")
 oDoc.close                     ' close document for write access
End Sub
'*** End