'************************************************
' File:    ListADSIItems.vbs (WSH sample in VBScript) 
' Author:  G. Born
'
' Lists the ADs items found on a machine or in 
' a domain. Requires ADSI installed.
'************************************************
'Option Explicit

Const title = "Retrieve ADs item list"

Dim objDomain, cclass, item, domain
Dim txt, tmp, Message

' Create Dictionary object ...
Dim dclass                      ' dictionary for cclasses
Set dclass = CreateObject("Scripting.Dictionary")
' and buffer array
Dim arrBuf (10, 1000)           ' Array for items
' set index
Dim idx                         ' current index
idx = 1

' Insert the name of a local computer station her,
' this name is used as default
domain = "//Rom"          ' set domain or computer name

' init variables
Message = "Please add a name " & vbCRLF & _
          "(like //Wien) or click Cancel" & vbCRLF & _
          "to connect to " & domain

' Ask user for domain name, if the input dialog is
' closed using Cancel, the default domain is used
tmp = inputbox (Message, Title , domain)
If tmp <> "" Then 
 If Left (tmp,2) <> "//" Then
     domain = "//" + tmp   ' add // to user input
 Else
  domain = tmp
 End if
End if

' bind to ADs and connect to the domain, in a Workgroup 
' network, the local computer may be used
On Error Resume Next
Set objDomain = GetObject("WinNT:" & domain)
If err <> 0 Then
 WScript.Echo "Error connecting to " & domain & " failed", vbCRLF, _
              Err.code, Err.description
 WScript.Quit
End if
On Error Goto 0

' The objDomain object variable contains all data retrieved
' from the ADs database for this object. 
For Each item in objDomain   ' Enumerate all items
 AddEntry item.class, item.Name ' add to dictionary
Next

' Retrieve all entries and convert it to a HTML string
MakeText
' Show result in browser window
ShowMSIE txt, title

WScript.Quit

'### Helper ###
Sub ShowMSIE (txt, title)
 Dim oIE, oDoc
' create Internet Browser application object
 Set oIE = WScript.CreateObject("InternetExplorer.Application")
' set browser window properties
 oIE.left=20                    ' window position
 oIE.top = 50                   ' and other properties
 oIE.height = 280
 oIE.width = 580
 oIE.menubar = 0                ' no menu
 oIE.toolbar = 0
 oIE.statusbar = 0
 oIE.navigate ("about:blank")   ' create an empty HTML document 
 oIE.visible = 1                ' keep MSIE visible
 
 While(oIE.Busy): Wend          ' Important: Wait till MSIE ready
 
 Set oDoc = oIE.Document        ' get document object
 oDoc.open                      ' open document
                                ' write script into the document object
 oDoc.writeln ("<HTML><HEAD><TITLE>" & title & "</TITLE></HEAD>")
 oDoc.writeln ("<BODY>" & Txt & "</BODY></HTML>")
 oDoc.close                     ' close document for write access
End Sub

Sub AddEntry (cclass, item)
' ### Add entries to dictionary and buffer
Dim row, col
' Add an item to the dictionary
If Not dclass.Exists(cclass) Then
' Entry doesn't exists ...
 dclass.Add cclass, idx    ' add a new entry in dictionary
 arrBuf(idx,1) = 1         ' init row counter in buffer
 idx = idx + 1             ' prepare idx for next add
End if
' Now we are ready to add the item into the buffer
 row = dclass.Item(cclass) ' get row number from the dictionary
 col = arrBuf(row,1) + 1   ' pointer to next free item
 arrBuf(row,1) = col       ' store new pointer
 arrBuf(row,col) = item    ' store item
End Sub

Sub MakeText
' now retrieve dictionary and buffer content
Dim a, i, j, ptr, cnt
 txt = "<H2>Items found on: " & domain & "</H2><DL>"
 a = dclass.Keys                ' Get the keys from dictionary
 For i = 0 To dclass.Count-1    ' Iterate the dictionary
  cclass = a(i)                 ' retrieve cclass name
  ptr = dclass.Item(cclass)     ' retrieve ptr to array buffer
  txt = txt & "<DT><B>" & cclass & "</B><DD>"
  For j = 2 To arrBuf(ptr,1)    ' all entries in a row
   txt = txt & "<I>" & arrBuf(ptr,j) & "</I><BR>"   ' items
  Next
 Next
 txt = txt & "</DL>"
End Sub
'*** End