'************************************************
' File:    ListGroups.vbs (WSH sample in VBScript) 
' Author:  G. Born
'
' Lists the groups in a domain (or on a machine in
' a workgroup network)
'************************************************
Option Explicit

Const ADS_GROUP_TYPE_LOCAL_GROUP = 4

Dim objDomain, group, domain
Dim txt, title

domain = "//Rom"       ' set domain or computer name

title = "WSH ADSI sample - by Gnter Born"
txt = "Groups of: " & domain & vbCRLF

' bind to ADs and connect to the domain 
' in a Workgroup network, the local computer may be used
Set objDomain = GetObject("WinNT:" & domain)

' The objDomain object variable contains all data retrieved
' from ADs for this object. Now we set the Filter property
' to retrieve the requested data.
' here -> set the Filter property to an Array containing 
'         the entry "group"
'objDomain.Filter = Array("group", "user")
objDomain.Filter = Array("group")

' Enumerate groups
For Each group in objDomain
  If group.groupType = ADS_GROUP_TYPE_LOCAL_GROUP Then
   txt = txt + group.Name & " (Local)" & vbCRLF
  Else
   txt = txt + group.Name & " (Global)" & vbCRLF
  End if
Next

MsgBox txt, vbOkonly, title

WScript.Quit
' End