'************************************************
' File:   ListSchema.vbs (WSH-sample in VBScript) 
' Author: G. Born 
'
' Derived from a ADSI SDK sample, lists the content
' of a schema.
'************************************************
Option Explicit

Const Title = "List computer schema"
Dim Computer, machine
Dim oClass, oComp
Dim item, Txt, tmp, Message
Dim found

machine = "//Rom"           ' init machine name

' init variables
Message = "Please add a computer name " & vbCRLF & _
          "(like //Born/Wien) or click Cancel" & vbCRLF & _
          "to connect to computer " & machine

' Ask user for computer name, if the input dialog is
' closed using Cancel, the default machine is used
tmp = inputbox (Message, Title , machine)
If tmp <> "" Then 
 If Left (tmp,2) <> "//" Then
  machine = "//" & tmp   ' add // to user input
 Else
  machine = tmp
 End if
End if

' bind to WinNT provider and select schema "Computer" 
' Note: I have omitted error checking here
Set oComp = GetObject("WinNT:" & machine & ",Computer")
Set oClass = GetObject(oComp.Schema)    ' get schema

' list schema content
Txt = "Machine: " & machine & vbCRLF
Txt = Txt & "Class: " & oClass.Name & vbCRLF
Txt = Txt & "GUID: " & oClass.GUID & vbCRLF
Txt = Txt & "Implemented by: " & oClass.CLSID & vbCRLF

' here are the container objects    
If oClass.Container Then
 Txt = Txt & "Container Object of Class '" _
       & oClass.Name & "' Contains:" & vbCRLF
  For Each item In oClass.Containment
   Txt = Txt & "   " & item & vbCRLF
  Next
Else
 Txt = Txt & "Leaf Object" & vbCRLF
End If
    
' list also the properties of the schema
Txt = Txt & vbCRLF & _
   "Mandatory Properties of this Class: " & vbCRLF
found = false
For Each item In oClass.MandatoryProperties
  Txt = Txt & "   " & item & vbCRLF
  found = true       ' one item found
Next

If Not found Then Txt = Txt & "   ---" & vbCRLF

Txt = Txt & _
      "Optional Properties of this Class: " & vbCRLF
found = false
For Each item In oClass.OptionalProperties
 Txt = Txt & "   " & item & vbCRLF
 found = true         ' one item found
Next

If Not found Then Txt = Txt & "   ---" & vbCRLF
    
MsgBox Txt, vbOKOnly + vbInformation, "Content of schema 'Computer'"
WScript.Quit
'*** End