'************************************************
' File:    ListUsers.vbs (WSH sample in VBScript) 
' Author:  G. Born
'
' Lists all user accounts found in a domain. 
' Requires ADSI installed.
'************************************************
Option Explicit

Const Title = "Users in domain"

Dim objDomain, item, domain
Dim txt, tmp, Message

domain = "//Rom"          ' set domain or computer name

' init variables
Message = "Please add a domain name " & vbCRLF & _
          "(like //Wien) or click Cancel" & vbCRLF & _
          "to connect to " & domain

' Ask user for domain name, if the input dialog is
' closed using Cancel, the default domain is used
tmp = inputbox (Message, Title , domain)
If tmp <> "" Then 
 If Left (tmp,2) <> "//" Then
     domain = "//" + tmp   ' add // to user input
 Else
  domain = tmp
 End if
End if

' bind to ADs and connect to the domain
Set objDomain = GetObject("WinNT:" & domain)

' The objDomain object variable contains all data 
' retrieved from the ADs database for this object.
' Apply a filter to class "user"
objDomain.Filter = array ("user")

txt = "Users found in domain " & domain & vbCRLF ' init txt

' enumerate all filtered entries
For Each item in objDomain   ' Enumerate all items
  txt = txt & item.Name & vbCRLF
Next

' show item list 
MsgBox txt, vbOkOnly + vbInformation, Title          

WScript.Quit                 ' ready, quit script
'*** End