'************************************************
' File:   ServiceEnumerate.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Enumerate all services on a given computer.
'************************************************
Option Explicit

Const ADS_SERVICE_STOPPED = 1
Const ADS_SERVICE_START_PENDING = 2
Const ADS_SERVICE_STOP_PENDING = 3
Const ADS_SERVICE_RUNNING = 4
Const ADS_SERVICE_CONTINUE_PENDING = 5
Const ADS_SERVICE_PAUSE_PENDING = 6
Const ADS_SERVICE_PAUSED = 7
Const ADS_SERVICE_ERROR = 8

Const domain = "Born"
Const computer = "Rom"

Dim oComp, oService, txt

' Init txt with Table header structure
txt = "<H3>Services on //" & domain & "/" & computer & "</H3>"
txt = txt & "<Table>" & _
            "<TR><TD><B>Service</B></TD>" & _
            "<TD><B>Name</B></TD>" & _
            "<TD><B>Status</B></TD></TR>"

' Bind to a computer
Set oComp = GetObject("WinNT://" & domain & "/" & computer &",computer")
oComp.Filter = Array("Service")

For Each oService In oComp
 txt = txt & "<TR><TD><I>" & oService.Name & "</I></TD>" & _
             "<TD>" & oService.DisplayName & "</TD>"
' decode service status
 Select Case oService.Status 
 Case ADS_SERVICE_STOPPED
   txt = txt & "<TD>stopped</TD></TR>"
 Case ADS_SERVICE_RUNNING
    txt = txt & "<TD>running</TD></TR>"
 Case ADS_SERVICE_PAUSED
   txt = txt & "<TD>paused</TD></TR>"
 Case ADS_SERVICE_ERROR
   txt = txt & "<TD>*** Error ***</TD></TR>"
 Case Else
    txt = txt & "<TD>unknown</TD></TR>"
 End Select
Next

txt = txt & "</Table>"
ShowMSIE txt, "Enumerate Services"
WScript.Quit

'### Helper ###
Sub ShowMSIE (txt, title)
 Dim oIE, oDoc
' create Internet Browser application object
 Set oIE = WScript.CreateObject("InternetExplorer.Application")
' set browser window properties
 oIE.left=20                    ' window position
 oIE.top = 50                   ' and other properties
 oIE.height = 280
 oIE.width = 580
 oIE.menubar = 0                ' no menu
 oIE.toolbar = 0
 oIE.statusbar = 0
 oIE.navigate ("about:blank")   ' create an empty HTML document 
 oIE.visible = 1                ' keep MSIE visible
 
 While(oIE.Busy): Wend          ' Important: Wait till MSIE ready
 
 Set oDoc = oIE.Document        ' get document object
 oDoc.open                      ' open document
                                ' write script into the document object
 oDoc.writeln ("<HTML><HEAD><TITLE>" & title & "</TITLE></HEAD>")
 oDoc.writeln ("<BODY>" & Txt & "</BODY></HTML>")
 oDoc.close                     ' close document for write access
End Sub
'*** End