'************************************************
' File:   EnumerateClasses.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to enumerate all classes of a subclass.
'************************************************
Option Explicit

Const Title = "WMI sample"

Dim oWMI, oClass, oSubClass
Dim txt, tmp, classx

' retrieve name of a class
classx = "CIM_LogicalElement"
' accept also an empty class name -> list root
classx = Inputbox ("Enter a class name like" & vbCRLF & _
                "CIM_LogicalElement or" & vbCRLF & _
                "CIM_PhysicalElement" & vbCRLF & _
                "Click Cancel to list root classes", _
                Title, classx)

Set oWMI = GetObject("winmgmts:")
Set oClass = oWMI.SubclassesOf (classx)

If classx = "" Then
 txt = "<H2>Subclasses of 'root'</H2>"
Else
 txt = "<H2>Subclasses of " & classx & "</H2>"
End if
' create a definition list in HTML
txt = txt & "<DL>"
txt = txt & "<DT><B>Sub-class names</B><DD>Display names<BR>"

For Each oSubClass in oClass
 txt = txt & "<DT><B>" & oSubClass.Path_.Class & _
             "</B><DD>" & oSubClass.Path_.DisplayName
Next

 txt = txt & "</DL>"

' display result
ShowMSIE txt, Title
WScript.Quit

'### Helper ###
Sub ShowMSIE (txt, title)
 Dim oIE, oDoc
' create Internet Browser application object
 Set oIE = WScript.CreateObject("InternetExplorer.Application")
' set browser window properties
 oIE.left=20                    ' window position
 oIE.top = 50                   ' and other properties
 oIE.height = 280
 oIE.width = 580
 oIE.menubar = 0                ' no menu
 oIE.toolbar = 0
 oIE.statusbar = 0
 oIE.navigate ("about:blank")   ' create an empty HTML document 
 oIE.visible = 1                ' keep MSIE visible
 
 While(oIE.Busy): Wend          ' Important: Wait till MSIE ready
 
 Set oDoc = oIE.Document        ' get document object
 oDoc.open                      ' open document
                                ' write script into the document object
 oDoc.writeln ("<HTML><HEAD><TITLE>" & title & "</TITLE></HEAD>")
 oDoc.writeln ("<BODY>" & Txt & "</BODY></HTML>")
 oDoc.close                     ' close document for write access
End Sub
'*** End