'************************************************
' File:   ListEvents.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Lists the events in category "Application" contained 
' in the event records.Requires WMI.
'************************************************

Const Title = "Event list on "
Const Category = "Application"

Dim oEvent, oEvents
Dim txt, Machine, tmp

' enter machine name
Machine = "//Wien"
tmp = InputBox ("Enter a computer name", _
                "List Events", Machine)
If tmp <> "" Then Machine = tmp

' create an object instance to events
Set oEvents = GetObject( _
  "winmgmts:{impersonationLevel=impersonate}" & _
  "!" & Machine).InstancesOf ("Win32_NTLogEvent")

txt = ""
For Each oEvent In oEvents
 If oEvent.LogFile = category Then
  Select Case UCase(oEvent.Type) ' add type icon & text
   Case "ERROR"
    txt = txt & "<img src='file:///" & GetPath() & _  
         "images/Error.gif'>" & _
         " Type: " & oEvent.Type & "<BR>"
   Case "INFORMATION"
    txt = txt & "<img src='file:///" & GetPath() & _  
         "images/Information.gif'>" & _
         " Type: " & oEvent.Type & "<BR>"
   Case "WARNING"
    txt = txt & "<img src='file:///" & GetPath() & _  
         "images/Warning.gif'>" & _
         " Type: " & oEvent.Type & "<BR>"
   Case Else
    txt = txt & "* Type: " & oEvent.Type & "<BR>"
  End Select
  txt = txt & " Source: " & oEvent.SourceName & "<BR>"
  txt = txt & oEvent.Message & "<BR><BR>"
 End if
Next

ShowList Txt, Title & Machine   ' show item list in browser window
WScript.Quit

'### Helper ###
Sub ShowList (txt, Title)
 Dim oIE, oDoc
' create Internet Browser application object
 Set oIE = WScript.CreateObject("InternetExplorer.Application")
' set browser window properties
 oIE.left=20                    ' window position
 oIE.top = 50                   ' and other properties
 oIE.height = 300
 oIE.width = 580
 oIE.menubar = 0                ' no menu
 oIE.toolbar = 0
 oIE.statusbar = 0
 oIE.navigate ("about:blank")   ' create an empty HTML document 
 oIE.visible = 1                ' keep MSIE visible
 
 While(oIE.Busy): Wend          ' Important: Wait till MSIE ready
 
 Set oDoc = oIE.Document        ' get document object
 oDoc.open                      ' open document
                                ' write script into the document object
 oDoc.writeln ("<HTML><HEAD><TITLE>" & title & "</TITLE></HEAD>")
 oDoc.writeln ("<BODY>" & Txt & "</BODY></HTML>")
 oDoc.close                     ' close document for write access
End Sub

Function GetPath
' Retrieve path to the script file
 DIM path
 path = WScript.ScriptFullName  ' script file name
 GetPath = Left(path, InstrRev(path, "\"))
End Function   

'*** End