'************************************************
' File:   WMICheck.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' This sample was derived from WMI SDK and checks
' whether WMI is present and returns the version.
'************************************************
'Option Explicit
Const Title = "WMI CIM OM Identification"

Dim oCimOmId, txt, computer
Dim i

computer = "//Rom"
' ask for computer name
computer = GetName (computer)

On Error Resume Next         ' error handling off
' create object reference, connect to namespace root\default
Set oCimOmId = GetObject("winmgmts:"& computer & _
        "\root\default:__cimomidentification=@")

' Test whether WMI is present or not.
If Err <> 0 then             ' 
 MsgBox "Error: " & ErrNumber & vbCRLF & _
        "Source: " & Err.Source & vbCRL & _
        Err.Description, vbOkOnly + vbCritical, _
        Title
Else
 On Error Goto 0             ' enable error handling

 txt = "Properties of Server: " & _ 
       oCimOmId.path_.Server& vbCRLF

' try to enumerate all properties of this object
 For Each i in oCimOmId.properties_
  txt = txt & i.name & ": " & i.value & vbCRLF
 Next

' now read the Security object
 txt = txt & vbCRLF
 txt = txt & "Impersonation Level: " & _
              oCimOmID.Security_.ImpersonationLevel & vbCRLF
 txt = txt & "Authentication Level: " & _
              oCimOmID.Security_.AuthenticationLevel & vbCRLF & vbCRLF
  
 txt = txt & "Display name: " & oCimOmId.path_.DisplayName & vbCRLF
 txt = txt & "Class: " & oCimOmId.path_.Class & vbCRLF
 txt = txt & "NameSpace: " & oCimOmId.path_.NameSpace & vbCRLF

 txt = txt & "Relative Path: " & oCimOmId.path_.Relpath  & vbCRLF
 txt = txt & "Path: " & oCimOmId.path_.Path & vbCRLF
 txt = txt & "Version used to create data base: " & _
            oCimOmId.VersionUsedToCreateDb & vbCRLF
 On Error Resume Next         ' disable error handling
 txt = txt & "Working Directory: " & oCimOmId.WorkingDirectory & vbCRLF
 If Err <> 0 Then
  txt = txt & "Working Directory: not available" 
 End if
 On Error Goto 0

 MsgBox txt, vbOkOnly + vbInformation, Title
end if

WScript.Quit

' ### Helper
Function GetName (name)
Dim tmp, Message

' init variables
Message = "Please add a computer name " & vbCRLF & _
          "(like " & name & ") or click Cancel" 

' Ask user for name, if the input dialog is
' closed using Cancel, the default value is returned
tmp = inputbox (Message, "Enter computer name" , name)
If tmp <> "" Then 
 If Left (tmp,2) <> "//" Then
  GetName = "//" + tmp   ' add // to user input
 Else
  GetName = tmp   ' only input value
 End if
Else
 GetName = name   ' Cancel clicked
End if

End Function
'*** End