'************************************************
' File:   WMIGetFreeMem.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to use the WMI ExecQuery method
' to retrieve the amount of physical memory (available
' and free memory).
'************************************************
Option Explicit

Const Title = "Memory on machine"
Const Machine = "Rom"

Dim strQuery, moniker
Dim oWMI, oSet, oItem
Dim txt

' create moniker with impersonation level and path 
' to the machine
moniker = "winmgmts:{impersonationLevel=impersonate}!//" & machine

' not create a reference to WMI
Set oWMI = GetObject(moniker)

' define query string
strQuery = "Select TotalPhysicalMemory From " & _
           "Win32_LogicalMemoryConfiguration"

' execute query
Set oSet = oWMI.ExecQuery(strQuery)
txt = ""
' enumerate the result(s), here we receive max. one result
For Each oItem in oSet
 If oItem Is nothing Then 
  txt = txt & "Physical Memory: unknown"
 Else
  txt = txt & "Physical Memory: " & _
   FormatNumber(oItem.TotalPhysicalMemory, 0) & " Bytes" & vbCRLF
 End if
Next

' now create query for free memory
strQuery = "Select FreePhysicalMemory From " & _
           "Win32_OperatingSystem"

' execute query
Set oSet = oWMI.ExecQuery(strQuery)


' enumerate the result(s), here we receive max. one result
For Each oItem in oSet
 If oItem Is nothing Then 
  txt = txt & "Free Physical Memory: unknown"
 Else
  txt = txt & "Free Physical Memory: " & _
   FormatNumber(oItem.FreePhysicalMemory, 0) & " Bytes" & vbCRLF
 End if
Next

' show result
MsgBox txt, vbOkOnly + vbInformation, Title & " " & machine
WScript.Quit
'*** End