'************************************************
' File:   WMIGetLowDiskInfo.vbs (WSH-sample in VBScript) 
' Author: G. Born  
'
' Demonstrates how to list all drives reaching low
' disk space using WMI.
'************************************************
Option Explicit

Const Title = "WMI Low Disk Space Info"
Const Limit = 0.3          ' limit = 30%
Const Machine = "//Rom"

Dim oDisks, oDisk, txt
Dim strQuery

txt = "Disks reaching the low space limit of " & _
       (limit * 100) & " percent" & vbCRLF

strQuery = "Select FreeSpace, Size, Name " & _
            "from Win32_LogicalDisk where DriveType=3"

' Get reference to Win32_LogicalDisk collection
Set oDisks = GetObject("winmgmts:" & _
          "{impersonationLevel=impersonate}" & _
          "!" & Machine).ExecQuery(strQuery)

' process all disks in enumeration
For Each oDisk in oDisks
' check whether Freespace falls below the limit 
 If (oDisk.FreeSpace/oDisk.Size) < limit Then 
  txt = txt & "Drive " & oDisk.Name & vbCRLF & _
     "    Capacity: " & FormatNumber (oDisk.Size/1024^2,0) & _
     " MByte  Free: " & FormatNumber(oDisk.FreeSpace/1024^2,0) & _
     " MByte" & vbCRLF
 End If 
Next 

MsgBox txt, vbOkOnly + vbInformation, Title
WScript.Quit
'*** End