'************************************************
' File:   WMIGetMem.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to use the WMI ExecQuery method
' to retrieve the amount of physical memory.
'************************************************
Option Explicit

Const Title = "Memory on machine"
Const Machine = "Rom"

Dim strQuery, moniker
Dim oWMI, oSet, oItem
Dim txt


' create moniker with impersonation level and path 
' to the machine
moniker = "winmgmts:{impersonationLevel=impersonate}!//" & machine

' not create a reference to WMI
Set oWMI = GetObject(moniker)

' here we define the query string
'strQuery = "Select TotalPhysicalMemory From " & _
'           "Win32_LogicalMemoryConfiguration"

strQuery = "Select TotalPhysicalMemory From  " & _
            "Win32_ComputerSystem"

' execute a query, the result is an SWbemObjectSet collection
Set oSet = oWMI.ExecQuery(strQuery)

txt = ""

' enumerate the result(s), here we receive max. one result
For Each oItem in oSet
 txt = txt & "Physical Memory: " & _
 FormatNumber(oItem.TotalPhysicalMemory, 0) & " Bytes" & vbCRLF
Next

' show result
MsgBox txt, vbOkOnly + vbInformation, Title & " " & machine
WScript.Quit
'*** End