'************************************************
' File:   WMIGetOSData.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to use WMI to retrieve OS data.
'************************************************
Option Explicit

'Const Machine = "Wien"
Const Machine = "Rom"
Const Title = "Operating system data on "

Dim oWMI, oItem, txt

' create a reference to an operating system instance
Set oWMI = GetObject( _
  "winmgmts:{impersonationLevel=impersonate}//" & Machine _
   ).InstancesOf("Win32_OperatingSystem")

txt = ""                ' init string
' enumerate collection (we might have one object!)
For Each oItem In oWMI 
 txt = txt & "Type: " & oItem.Caption & vbCRLF  ' OS Name
 txt = txt & "Version: " & oItem.Version & vbCRLF
 txt = txt & "Build: " & oItem.BuildNumber & vbCRLF
 txt = txt & "Manufacturer: " & oItem.Manufacturer & vbCRLF
 txt = txt & "Registered User: " & oItem.RegisteredUser & vbCRLF
 txt = txt & "Organization: " & oItem.Organization & vbCRLF
 txt = txt & "Service Pack Major Version: " & _
              oItem.ServicePackMajorVersion & vbCRLF
 txt = txt & "Service Pack Minor Version: " & _
              oItem.ServicePackMinorVersion & vbCRLF & vbCRLF

 txt = txt & "Total Memory: " & oItem.TotalVisibleMemorySize & vbCRLF
 txt = txt & "Free Memory: " & oItem.FreePhysicalMemory & vbCRLF
 txt = txt & "Boot Device: " & oItem.BootDevice & vbCRLF
 txt = txt & "Windows Directory: " & oItem.WindowsDirectory & vbCRLF
 txt = txt & "System Directory: " & oItem.SystemDirectory & vbCRLF
Next
' show result
MsgBox txt, vbOkOnly + vbInformation, Title & " " & machine
WScript.Quit
'*** End