'************************************************
' File:   WMIMemoryInfo.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrate how to read memory information using WMI.
'************************************************
Option Explicit

Const Title = "Memory Information"
Dim oMem 
Dim txt, tmp, machine

machine = "Rom"
' accept also an empty class name -> list root
tmp = Inputbox ("Enter a computer name like" & vbCRLF & _
                "ROM" & vbCRLF & _
                "Click Cancel to use " & machine, _
                Title, machine)
If tmp <> "" Then machine = tmp  ' user input

On Error Resume Next          ' handle error manually
Set oMem = GetObject("winmgmts:" & _
           "{impersonationLevel=impersonate}" & _
           "!//" & machine & "/root/cimv2:" & _
           "Win32_LogicalMemoryConfiguration=""" & _
           "LogicalMemoryConfiguration""")
If err <> 0 then              ' error detected? 
 WScript.Echo "Error: " & err.number & vbCRLF & _
              err.description 
 WScript.Quit                 ' no object present, terminate
End if
On Error Goto 0

' read memory data from the given machine
txt = "Memory on machine: " & machine & vbCRLF
txt = txt & "Total Physical Memory (KBytes): " & _
      vbTab & FormatNumber(oMem.TotalPhysicalMemory,0) & vbCRLF
txt = txt & "Total Virtual Memory (KBytes): " & _
      vbTab & FormatNumber(oMem.TotalVirtualMemory,0) & vbCRLF
txt = txt & "Available Virtual Memory (KBytes): " & _
      vbTab & FormatNumber(oMem.AvailableVirtualMemory,0) & vbCRLF
txt = txt & "Total Page File Space (KBytes): " & _
      vbTab & FormatNumber(oMem.TotalPageFileSpace,0) & vbCRLF

WScript.Echo txt
WScript.Quit
'*End
