'************************************************
' File:   WMIProcessList.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrates how to read a list of running processes
' on a system using WMI.
'************************************************
Option Explicit

Const Title = "Running processes"
Dim oWMI, oProcess 
Dim Machine, txt, tmp

Machine = "//Rom"
tmp = InputBox ("Enter a machine name" & vbCRLF & _
                "like //Rom", "Process list", Machine)
If tmp <> "" Then Machine = tmp

' create instances of all processes
set oWMI = _
   GetObject("winmgmts:{impersonationLevel=impersonate}" & _
             "!" & Machine).InstancesOf("Win32_Process")

txt = "<H2>Processes running on: " & Machine & "<H2>"
txt = txt & "<Table>" & _
            "<TR><TD><B>Name</B></TD>" & _
            "<TD><B>Process ID</B></TD>" & _
            "<TD><B>Priority</B></TD></TR>"

' enumerate all processes
For Each oProcess in oWMI
 txt = txt & "<TR><TD>" & oProcess.Name & _
        "</TD><TD>" & oProcess.ProcessID & _
        "</TD><TD>" & oProcess.Priority & _
        "</TD></TR>"
Next

txt = txt & "</Table>"

ShowMSIE txt, Title    ' show item list in browser window
WScript.Quit

'### Helper ###
Sub ShowMSIE (txt, title)
 Dim oIE, oDoc
' create Internet Browser application object
 Set oIE = WScript.CreateObject("InternetExplorer.Application")
' set browser window properties
 oIE.left=20                    ' window position
 oIE.top = 50                   ' and other properties
 oIE.height = 380
 oIE.width = 480
 oIE.menubar = 0                ' no menu
 oIE.toolbar = 0
 oIE.statusbar = 0
 oIE.navigate ("about:blank")   ' create an empty HTML document 
 oIE.visible = 1                ' keep MSIE visible
 
 While(oIE.Busy): Wend          ' Important: Wait till MSIE ready
 
 Set oDoc = oIE.Document        ' get document object
 oDoc.open                      ' open document
                                ' write script into the document object
 oDoc.writeln ("<HTML><HEAD><TITLE>" & title & "</TITLE></HEAD>")
 oDoc.writeln ("<BODY>" & Txt & "</BODY></HTML>")
 oDoc.close                     ' close document for write access
End Sub
'*End
