'************************************************
' File:   WMISystemInfo.vbs (WSH-sample in VBScript) 
' Author: G. Born
'
' Demonstrate how to read system information using WMI.
'************************************************
Option Explicit

Const Title = "Retrieve machine info"
Dim oSys 
Dim txt, tmp, machine
Dim i
machine = "Rom"
' accept also an empty class name -> list root
tmp = Inputbox ("Enter a computer name like" & vbCRLF & _
                "ROM" & vbCRLF & _
                "Click Cancel to use " & machine, _
                Title, machine)
If tmp <> "" Then machine = tmp  ' user input

On Error Resume Next          ' handle error manually
Set oSys = GetObject("winmgmts:" & _
           "{impersonationLevel=impersonate}" & _
           "!//" & machine & "/root/cimv2:Win32_ComputerSystem=""" & _
           machine & """")
If err <> 0 then              ' error detected? 
 WScript.Echo "Error: " & err.number & vbCRLF & _
              err.description 
 WScript.Quit                 ' no object present, terminate
End if
On Error Goto 0

' read data from the given machine
txt = "System Information on machine: " & machine & vbCRLF
txt = txt & "Name: " & oSYS.Name & vbCRLF
txt = txt & "Domain: " & oSYS.Domain & vbCRLF
txt = txt & "Current User: " & oSYS.UserName & vbCRLF
txt = txt & "Primary Owner Name: " & oSYS.PrimaryOwnerName & vbCRLF & vbCRLF
txt = txt & "Description: " & oSYS.Description & vbCRLF
txt = txt & "Manufacturer: " & oSYS.Manufacturer & vbCRLF
txt = txt & "Model: " & oSYS.Model & vbCRLF
txt = txt & "System Type: " & oSYS.SystemType & vbCRLF
txt = txt & "Processors: " & oSYS.NumberOfProcessors & vbCRLF
txt = txt & "Bootup Delay: " & oSYS.SystemStartUpDelay & vbCRLF
txt = txt & "Bootup state: " & oSYS.BootUpState & vbCRLF
txt = txt & "Current Time Zone: " & oSYS.CurrentTimeZone & vbCRLF
txt = txt & "Day Light in Effect: " & oSYS.DayLightInEffect & vbCRLF
txt = txt & "Infrared Supported: " & oSYS.InfraredSupported & vbCRLF
txt = txt & "Roles: "  & vbCRLF
For i = LBound(oSYS.Roles) to UBound(oSYS.Roles) 
 txt = txt & "   " & oSYS.Roles(i) & vbCRLF
Next

WScript.Echo txt
WScript.Quit
'*End
